function [SEDalt, low, high] = impln(IRFFc,M,maxh,pp)

for j = 1:maxh
    for k = 1:M^2
        SEDalt(k,j) = std(IRFFc(k,j,:));
    end
end

for j = 1:maxh
    for k = 1:M^2
        low(k,j) = prctile(IRFFc(k,j,:),pp);
    end
end

for j = 1:maxh
    for k = 1:M^2
        high(k,j) = prctile(IRFFc(k,j,:),100-pp);
    end
end